﻿@model DatabaseProject.product

@{
    ViewBag.Title = "Edit";
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <fieldset>
                    <fieldset>
                        @Html.HiddenFor(model => model.id_products)
                        
                        <legend>Enter required details...</legend>

                        <label for="inputEmail" class="col-lg-2 control-label">Product ID</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="product_id" name="product_id" type="text" value="@Model.product_id">
                            <span class="field-validation-valid" data-valmsg-for="product_id" data-valmsg-replace="true"></span>
                            <br />
                        </div>
                        <label for="inputEmail" class="col-lg-2 control-label">Product Name</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="name" name="name" type="text" value="@Model.name">
                            <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                            <br />
                        </div>
                        <label for="textArea" class="col-lg-2 control-label">Description</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="description" name="description" type="text" value="@Model.description">
                            <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                            <span class="help-block">Describe product category,colors, tags and other assigned informations.</span>
                        </div>
                        <label for="inputEmail" class="col-lg-2 control-label">Image Url</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="image_name" name="image_name" type="text" value="@Model.image_name">
                            <span class="field-validation-valid" data-valmsg-for="image_name" data-valmsg-replace="true"></span>
                            <br>
                        </div>
                        <div class="form-group">
                            <label for="inputEmails" class="col-lg-2 control-label">Item Price</label>
                            <div class="col-lg-10">
                                <input class="form-control" data-val="true" data-val-number="The field per_unit_price must be a number." data-val-required="The per_unit_price field is required." id="per_unit_price" name="per_unit_price" type="text" value="@Model.per_unit_price">
                                <span class="field-validation-valid" data-valmsg-for="per_unit_price" data-valmsg-replace="true"></span>
                            </div>
                        </div>
                        <div class="col-lg-10 col-lg-offset-2">
                            <br>
                            <button class="btn btn-default">Cancel</button>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </fieldset>
                </fieldset>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>



    @section Scripts {
        @Scripts.Render("~/bundles/jqueryval")
    }
